This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1476168 - Password is not requested -> Cannot connect
Password is not requested -> Cannot connect
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-28 04:01 EDT by Vít Ondruch
Modified: 2017-08-15 01:05 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-14 21:16:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vít Ondruch 2017-07-28 04:01:17 EDT
Description of problem:
Trying to connect to OpenVPN, the password dialog is newer shown. This is content of my journal:

~~~
Jul 28 09:39:50 localhost.localdomain NetworkManager[945]: <info>  [1501227590.6589] audit: op="connection-activate" uuid="5777c2b4-defc-46f1-9858-2b850d51587c" name="Brno (BRQ)" pid=1771 uid=16025 result="succe
Jul 28 09:39:50 localhost.localdomain NetworkManager[945]: <info>  [1501227590.6641] vpn-connection[0x55f53ae7a0e0,5777c2b4-defc-46f1-9858-2b850d51587c,"Brno (BRQ)",0]: Started the VPN service, PID 2606
Jul 28 09:39:50 localhost.localdomain NetworkManager[945]: <info>  [1501227590.6725] vpn-connection[0x55f53ae7a0e0,5777c2b4-defc-46f1-9858-2b850d51587c,"Brno (BRQ)",0]: Saw the service appear; activating connect
Jul 28 09:39:50 localhost.localdomain gnome-shell[1771]: Allocating size to ShellEmbeddedWindow 0x55fefddaa3d0 without calling gtk_widget_get_preferred_width/height(). How does the code know the size to allocate
Jul 28 09:39:50 localhost.localdomain gnome-shell[1771]: JS ERROR: error while reading VPN plugin output keyfile: GLib.KeyFileError: Soubor klíče nemá skupinu „V“
                                                         VPNRequestHandler<._showNewStyleDialog@resource:///org/gnome/shell/ui/components/networkAgent.js:522:29
                                                         wrapper@resource:///org/gnome/gjs/modules/lang.js:178:22
                                                         VPNRequestHandler<._readStdoutNewStyle/<@resource:///org/gnome/shell/ui/components/networkAgent.js:487:17
Jul 28 09:39:50 localhost.localdomain audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=fprintd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=?
Jul 28 09:39:50 localhost.localdomain gnome-shell[1771]: JS ERROR: error while reading VPN plugin output keyfile: GLib.KeyFileError: Soubor klíče nemá skupinu „V“
                                                         VPNRequestHandler<._showNewStyleDialog@resource:///org/gnome/shell/ui/components/networkAgent.js:522:29
                                                         wrapper@resource:///org/gnome/gjs/modules/lang.js:178:22
                                                         VPNRequestHandler<._readStdoutNewStyle/<@resource:///org/gnome/shell/ui/components/networkAgent.js:487:17
Jul 28 09:39:50 localhost.localdomain NetworkManager[945]: <error> [1501227590.7881] vpn-connection[0x55f53ae7a0e0,5777c2b4-defc-46f1-9858-2b850d51587c,"Brno (BRQ)",0]: Failed to request VPN secrets #3: No agent
Jul 28 09:39:50 localhost.localdomain NetworkManager[945]: <info>  [1501227590.7965] vpn-connection[0x55f53ae7a0e0,5777c2b4-defc-46f1-9858-2b850d51587c,"Brno (BRQ)",0]: VPN plugin: state changed: stopped (6)
~~~

I was able to connect via nmcli:

~~~
$ nmcli connection up "Brno (BRQ)" --ask
A password is required to connect to 'Brno (BRQ)'.
Password (vpn.secrets.password): 
Connection successfully activated (D-Bus active path: /org/freedesktop/NetworkManager/ActiveConnection/8)
~~~


Version-Release number of selected component (if applicable):
$ rpm -q NetworkManager
NetworkManager-1.8.2-3.fc27.x86_64

$ rpm -q NetworkManager-openvpn
NetworkManager-openvpn-1.2.10-1.fc27.x86_64


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
Cannot connect via GUI, no password prompt.


Expected results:
I am asked for password and can connect via GUI.


Additional info:
Comment 1 Beniamino Galvani 2017-07-28 05:44:58 EDT
Logs contain gnome-shell errors, reassigning.
Comment 2 Vít Ondruch 2017-07-28 06:21:14 EDT
It reminds me this issue:

https://bugzilla.gnome.org/show_bug.cgi?id=728681
Comment 3 Florian Müllner 2017-08-14 21:16:01 EDT
This was a break in glib's introspection API. That change was reverted upstream and in https://koji.fedoraproject.org/koji/buildinfo?buildID=925233, so I assume this is no longer an issue.
Comment 4 Vít Ondruch 2017-08-15 01:05:23 EDT
I knew I reported this somewhere :)

Yes, right, I can confirm this was fixed by recent updates. This is the version I am using:

~~~
$ rpm -q gobject-introspection
gobject-introspection-1.53.4-5.fc27.x86_64
~~~

I can connect just fine now. Thx.

Note You need to log in before you can comment on or make changes to this bug.